# file: $isip/class/algo/Filter/GNUmakefile
# version: $Id: GNUmakefile 8317 2002-07-09 03:43:24Z picone $
#
# this make file builds the Filter class
#

# define the source files
#
ISIP_FILES = *.cc

# define the header files that need to be installed
#
ISIP_HEADER_FILES = Filter.h

# define other dependencies (headers are included automatically)
#
ISIP_DEPS = AlgorithmBase.h VectorFloat.h VectorLong.h Vector.h \
	    CircularDelayLine.h Float.h MemoryManager.h

# define the compilation flags
# 
ISIP_CFLAGS =

# output library
# 
ISIP_OLIB = lib_algo.a

# include the isip standard make template
#
include $(ISIP_DEVEL)/lib/scripts/make/compile.make

#
# end of file
